"""Setup script for monobot.
"""
from setuptools import setup
from codecs import open
from os import path

VERSION = "1.1.2"
DESCRIPTION = "Populates bot accounts with comments."

here = path.abspath(path.dirname(__file__))

with open(path.join(here, "README.rst"), encoding="utf-8") as filein:
    long_description = filein.read()

setup(
    name="monobot",
    version=VERSION,
    description=DESCRIPTION,
    long_description=long_description,
    url="https://github.com/scott-hand/monologue-bot",
    author="Scott Hand",
    author_email="scott@vkgfx.com",
    license="MIT",
    classifiers=["Development Status :: 4 - Beta",
                 "Intended Audience :: Developers",
                 "Intended Audience :: End Users/Desktop",
                 "Environment :: Console",
                 "License :: OSI Approved :: MIT License",
                 "Programming Language :: Python"],
    packages=["monobot"],
    package_data={"": ["README.md", "LICENSE"]},
    include_package_data=True,
    install_requires=["fake-factory", "praw", "PyYAML"],
    entry_points={
        "console_scripts": [
            "monobot=monobot.app:main"
        ]
    }
)

